Bug 242822 - Admin programs cannot be launched as non-admin user
Admin programs cannot be launched as non-admin user
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Miloslav Trmač
:
: 242823 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 19:35 EDT by H T
Modified: 2014-01-12 18:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 13:21:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H T 2007-06-05 19:35:56 EDT
Description of problem:
When a non-admin user tries to launch an admin program, it fails to start. 
Password panel shows up. After entering the password and clicking on OK button, 
nothing shows up.

Version-Release number of selected component (if applicable):
Fedora 7

How reproducible:
Create a non-admin user.
Loging as that user.
Try to update sytem time.

Steps to Reproduce:
1) Create a non-admin user.
2) Loging as that user.
3) Try to update sytem time.

Actual results:


Expected results:


Additional info:
Comment 1 Thomas Woerner 2007-06-06 05:15:20 EDT
*** Bug 242823 has been marked as a duplicate of this bug. ***
Comment 2 Thomas Woerner 2007-06-06 05:28:52 EDT
Assigning to usermode package.
Comment 3 Miloslav Trmač 2007-06-06 09:18:15 EDT
Thanks for your report.  system-config-date seems to run fine for me.

- Can you please specify how you are "trying to update system time" in more
  detail?  What desktop environment are you using?  Are you running a command
  from the command line, an application in the menu, or perhaps using the clock
  applet?
- Please try to run the program in question, and when the password prompt appears:
  - switch to a virtual terminal, log in there as root
  - find the PID of an "userhelper" process
  - run (strace -ff -o log -p the_pid_found_above)
  - switch back to X, enter the password
  - THE GENERATED log* FILES WILL CONTAIN THE PASSWORD.  Edit them to replace
    it with some other string.
  - Please attach an archive containing the generated files.
Comment 4 Miloslav Trmač 2008-02-28 13:21:07 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.
Comment 5 William Moreno 2014-01-12 18:43:53 EST
Open new bug similar to these one

If I try to run admin tool fron the menu these don't open

If I roon the same tool from command line these open well after providing the administrative pass

https://bugzilla.redhat.com/show_bug.cgi?id=1051937

Note You need to log in before you can comment on or make changes to this bug.